<div class="merchant-box">
  <div class="merchant-box__card">
    <p class="note">
      {{
        "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_MERCHANTS.MERCHANT_BOX_NOTE"
          | translate
      }}
    </p>
    <div class="merchants-container">
      <div
        class="merchants-container__item"
        *ngFor="let merchant of merchantsSelected$ | async"
      >
        <span class="name">{{ merchant?.display_name }}</span>
        <layout-icon icon="uil-times-circle" (click)="onRemoveItem(merchant)">
        </layout-icon>
      </div>
    </div>
  </div>
  <div class="merchant-box__buttons">
    <mo-button
      *ngIf="merchantGroupProfileId$ | async as id"
      [text]="
        'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_MERCHANTS.BTN_CANCEL'
          | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [routerLink]="merchantGroupProfileUrl"
      [queryParams]="{ id }"
      [isDisabled]="isLoadingUpdateMerchants$ | async"
    >
    </mo-button>
    <mo-button
      [text]="
        'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_MERCHANTS.BTN_CONFIRM'
          | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
      [displayBlock]="true"
      [size]="SIZES.MD"
      (click)="onConfirm()"
      [isLoading]="isLoadingUpdateMerchants$ | async"
      [isDisabled]="
        !(merchantsSelected$ | async) ||
        (merchantsSelected$ | async)?.length == 0 ||
        (isLoadingUpdateMerchants$ | async)
      "
    >
    </mo-button>
  </div>
</div>
<layout-modal>
  <merchant-group-profile-remove-merchant-modal></merchant-group-profile-remove-merchant-modal>
</layout-modal>
